from clifinance.application.abstractions.protocols.gateway import DataGateway
from clifinance.application.dto.balance import Balance


class GetBalance:
    def __init__(
        self,
        gateway: DataGateway,
    ) -> None:
        self.__gateway = gateway

    def __call__(self) -> Balance:

        return self.__gateway.get_balance()
