from abc import abstractmethod
from typing import Protocol

from clifinance.application.dto.expense import ExpenseDTO


class FileDriver(Protocol):
    @abstractmethod
    def read(self):
        raise NotImplementedError

    @abstractmethod
    def write(self, data: list[ExpenseDTO]):
        raise NotImplementedError
